0

Found several multisig wallet source codes but I can't deploy them in ethereum wallet because they can't be compiled. Either they use an old version of solidity or I get the error "No visibility specified."

https://raw.githubusercontent.com/ethereum/dapp-bin/master/wallet/wallet.sol

https://github.com/gnosis/MultiSigWallet/blob/master/contracts/MultiSigWallet.sol

  • make sure these sources are bug free. You certainly don't want to live the experience of Parity users. – Nulik Nov 29 '17 at 19:59
  • I know, that's also why I am asking this. I need a contract that can be trusted. – Julio Sca Nov 29 '17 at 20:10
1

You can give this a try https://github.com/ConsenSys/MultiSigWallet Thanks

0

I like this one:

https://github.com/kinfoundation/kin-token/blob/master/test/MultiSigWallet.js

Im working developing one of them. To be honest its better to try to use one of the zeppelin or gnosis instead of create your own because its more risky if anything goes wrong.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.